Package org.codehaus.groovy.jsr223

# Class ScriptExtensions

java.lang.Object
org.codehaus.groovy.jsr223.ScriptExtensions

    public class ScriptExtensions
    extends Object

This class defines new Java 6 specific groovy methods which extend the normal JDK classes inside the Groovy environment. Static methods are used with the first parameter the destination class.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ScriptExtensions()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static Object` | `eval​(ScriptEngine self, Reader reader, Binding binding)` | Same as `eval(ScriptEngine, Reader, Binding)` except that the source of the script is provided as a `Reader`
  `static Object` | `eval​(ScriptEngine self, String script, Binding binding)` | Executes the specified script.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ScriptExtensions

    public ScriptExtensions()

- ## Method Details

  - ### eval

    public static Object eval​(ScriptEngine self, String script, Binding binding) throws ScriptException
    Executes the specified script. The default `ScriptContext` for the `ScriptEngine` is used. Variables from a Groovy `Binding` are made available in the default scope of the `Bindings` of the `ScriptEngine`. Resulting variables in the `Bindings` are returned back to the Groovy `Binding`.
    Parameters:
      `self` - A ScriptEngine
      `script` - The script language source to be executed
      `binding` - A Groovy binding
    Returns:
      The value returned from the execution of the script (if supported by the Script engine)
    Throws:
      `ScriptException` - if error occurs in script
      `NullPointerException` - if the argument is null
    Since:
      1.7.3
    See Also:
      `eval(javax.script.ScriptEngine, java.io.Reader, groovy.lang.Binding)`

  - ### eval

    public static Object eval​(ScriptEngine self, Reader reader, Binding binding) throws ScriptException
    Same as `eval(ScriptEngine, Reader, Binding)` except that the source of the script is provided as a `Reader`
    Parameters:
      `self` - A ScriptEngine
      `reader` - The source of the script
      `binding` - A Groovy binding
    Returns:
      The value returned by the script
    Throws:
      `ScriptException` - if an error occurs in script
      `NullPointerException` - if the argument is null
    Since:
      1.7.3
    See Also:
      `eval(javax.script.ScriptEngine, java.lang.String, groovy.lang.Binding)`